/*
 * For licensing terms, see the file COPYING in this directory
 * For contact information, see the file AUTHORS in this directory
 *
 */
#ifndef SCAN_H_
#define SCAN_H_ 1

#include <stdio.h>
#define TOKEN_SIZE (1024)
#define STRING_SIZE (1024)

typedef enum __TOKENTYPE
{
	_NULL,TAGOPEN,TAGCLOSE,TEXT,ITEM_O,ITEM_C,
	CHANNEL_O,CHANNEL_C,DESCRIPTION_O,DESCRIPTION_C,
	TITLE_O,TITLE_C,LINK_O,LINK_C,XML,RSS_O,RSS_C,
	RDF_O,RDF_C,DOCTYPE,COMMENT
}TOKENTYPE;
typedef struct
{
	char *token;
	int capacity;
	TOKENTYPE tokenid;
	char *code;
	int linecount;
	int colcount;
	char ahead;
	int count;
}XML_SCANNER;

void xml_nexttoken(XML_SCANNER *scanner);
#endif
